<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Position</title>
    <style>
        div {
            font-size: 60px;
            padding: 30px;
            border: solid 5px black;
        }
        .static {
            top: 100px;  /* Não são considerdas pois o position é static */
            left: 100px; /* Não são considerdas pois o position é static */
            background-color: blue;
        }

        .fixed {
            /* Em relação a viewport */
            position: fixed;
            bottom: 30px;
            right: 0px;
            background-color: red;
        }

        .relative1 {
            /* Em relação ao elemento anterior */
            position: relative;
            left: 50px;
            top: 5px;
            background-color: green;
        }

        .absolute1 {
            position: absolute;
            left: 350px;
            top: 120px;
            background-color: indigo;
        }

        .relative1 {
            /* Em relação ao elemento anterior */
            position: relative;
            left: 50px;
            top: 5px;
            background-color: green;
        }

        .relative2 {
            /* Em relação ao elemento anterior */
            position: relative;
            left: 250px;
            top: 2000px;
            width: 200px;
            height: 200px;
            background-color: #3db3d1;
        }
        .absolute2 {
            /* Em relação ao elemento pai */
            position: absolute;
            left: 10px;
            top: 10px;
            width: 20px;
            height: 20px;
            background-color: gold;
        }

        .sticky {
            position: -webkit-sticky; /* Safari */
            position: sticky;
            background-color: gray;
            top: 40px;
        }
    </style>
</head>

<body>
    <div class="static">Static (Padrão)</div>
    <div class="fixed">Fixed</div>
    <div class="relative1">Relative</div>
    <div class="absolute1">Absolute</div>

    <div class="relative2">
        <div class="absolute2"></div>
    </div>

    <div class="sticky">Sticky</div>
    <p style="padding-bottom: 2000px;">Opa</p>
</body>

</html>